Index: /WRFV3/lmdz/add_phys_tend.F90
===================================================================
--- /WRFV3/lmdz/add_phys_tend.F90	(revision 6)
+++ /WRFV3/lmdz/add_phys_tend.F90	(revision 7)
@@ -189,5 +189,4 @@
 ENDIF
 
-      PRINT *,'  Lluis ftsol add_phys_tend 696',ftsol(550,:)
       CALL  hgardfou(t_seri,ftsol,text)
       RETURN
Index: /WRFV3/lmdz/clcdrag.F90
===================================================================
--- /WRFV3/lmdz/clcdrag.F90	(revision 6)
+++ /WRFV3/lmdz/clcdrag.F90	(revision 7)
@@ -70,6 +70,4 @@
 ! Calculer le geopotentiel du premier couche de modele
 !
-  PRINT *,'  Lluis in clcdrag'
-
   DO i = 1, knon
      zgeop1(i) = RD * t1(i) / (0.5*(paprs(i,1)+pplay(i,1))) &
@@ -80,5 +78,4 @@
 ! Calculer le frottement au sol (Cdrag)
 !
-  PRINT *,'    Lluis 1 qsurf zgeop1 rugos zdu2 ztsolv ztvd zri zcdn friv zscf pcfm ____'
   DO i = 1, knon
      zdu2 = MAX(cepdu2,u1(i)**2+v1(i)**2)
@@ -124,6 +121,4 @@
         IF(nsrf.EQ.is_oce) pcfh(i) =f_cdrag_oce* zcdn(i)*(1.0+zcr**1.25)**(1./1.25)
      ENDIF
-     PRINT *,'    ',qsurf(1), zgeop1(1), rugos(1), zdu2, ztsolv, ztvd,   &
-       zri(1), zcdn(1), friv, zscf, pcfm(1)
   END DO
 
Index: /WRFV3/lmdz/coef_diff_turb_mod.F90
===================================================================
--- /WRFV3/lmdz/coef_diff_turb_mod.F90	(revision 6)
+++ /WRFV3/lmdz/coef_diff_turb_mod.F90	(revision 7)
@@ -80,6 +80,4 @@
 !****************************************************************************************
 
-    PRINT *,'  Lluis iflag_pbl: ',iflag_pbl,' ok_kzmin: ',ok_kzmin
-    PRINT *,'  Lluis in coef_diff_turb_mod before coefkz2 1 k ycoefh ycoefh0 ___'
     IF (iflag_pbl.EQ.1) THEN
        CALL coefkz2(nsrf, knon, ypaprs, ypplay, yt, &
@@ -90,6 +88,4 @@
              ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
              ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
-! Lluis
-             IF (i == 1) PRINT *,k,ycoefh(i,k),ycoefh0(i,k)
           ENDDO
        ENDDO
@@ -101,5 +97,4 @@
 !
 !****************************************************************************************
-    PRINT *,'  Lluis: after coefkzmin k,ycoefh,ycoefh0____'
     IF (ok_kzmin) THEN
        CALL coefkzmin(knon,ypaprs,ypplay,yu,yv,yt,yq,ycdragm, &
@@ -110,6 +105,4 @@
              ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
              ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
-! Lluis
-             IF (i == 1) PRINT *,k,ycoefh(i,k),ycoefh0(i,k)
           ENDDO
        ENDDO
@@ -182,10 +175,4 @@
     ENDIF !(iflag_pbl.ge.3)
 
-    PRINT *,'  Lluis UBOUNDS ycoefm: ',UBOUND(ycoefm), ' ycoefh: ', UBOUND(ycoefh)
-    PRINT *,'  Lluis end of coef_diff_turb k yceofm ycoefh_____',klev
-    DO k=1,klev
-      PRINT *,k,ycoefm(1,k),ycoefh(1,k)
-    END DO
-
   END SUBROUTINE coef_diff_turb
 !
Index: /WRFV3/lmdz/coefkzmin.F90
===================================================================
--- /WRFV3/lmdz/coefkzmin.F90	(revision 6)
+++ /WRFV3/lmdz/coefkzmin.F90	(revision 7)
@@ -60,6 +60,4 @@
       real,parameter :: kap=0.4
 
-      PRINT *,'    Lluis in coefkzmin'
-
       nlay=klev
       nlev=klev+1
@@ -98,8 +96,4 @@
       yustar(1:knon) =SQRT(ycdragm(1:knon)*                                          &
        &       (yu(1:knon,1)*yu(1:knon,1)+yv(1:knon,1)*yv(1:knon,1)))
-      PRINT *,'    Lluis k yzlay yteta yzlev ycdragm yu yv yustar__________'
-      DO k=1,klev
-        PRINT *,k, yzlay(1,k), yteta(1,k), yzlev(1,k), ycdragm(1), yu(1,1), yv(1,1), yustar(1)
-      END DO
 
 !c  Fin de la partie qui doit etre unclue a terme dans clmain.
Index: /WRFV3/lmdz/fonte_neige_mod.F90
===================================================================
--- /WRFV3/lmdz/fonte_neige_mod.F90	(revision 6)
+++ /WRFV3/lmdz/fonte_neige_mod.F90	(revision 7)
@@ -66,9 +66,5 @@
 !****************************************************************************************
 
-    PRINT *,'Lluis in fonte_neige_init'
-    PRINT *,'restart_runoff:',UBOUND(restart_runoff)
-
     ALLOCATE(run_off_lic_0(klon), stat = error)
-    PRINT *,'run_off_lic_0:',UBOUND(run_off_lic_0),' stat: ',error
     IF (error /= 0) THEN
        abort_message='Pb allocation run_off_lic'
@@ -288,7 +284,4 @@
 !
 !****************************************************************************************
-    PRINT *,'  Lluis in fonte_neige: ffonte_global: ',ALLOCATED(ffonte_global)
-    PRINT *,'    fqfonte_global: ',ALLOCATED(fqfonte_global)
-    PRINT *,'    fqcalving_global: ',ALLOCATED(fqcalving_global)
     DO i = 1, knon
        ffonte_global(knindex(i),nisurf)    = ffonte(i)
@@ -315,6 +308,4 @@
 !   DEALLOCATE(run_off_lic_0, run_off_ter, run_off_lic, ffonte_global, &
 !        fqfonte_global, fqcalving_global)
-
-    PRINT *,'    Lluis: Ei, ei, ei !!!!! DEALLOCATING!!!!!!!'
 
     IF (ALLOCATED(run_off_lic_0)) DEALLOCATE(run_off_lic_0)
Index: /WRFV3/lmdz/surf_land_bucket_mod.F90
===================================================================
--- /WRFV3/lmdz/surf_land_bucket_mod.F90	(revision 6)
+++ /WRFV3/lmdz/surf_land_bucket_mod.F90	(revision 7)
@@ -108,6 +108,4 @@
 !!    z0_new = 0.4
 !!    alb_lim = 0.7
-    PRINT *,'Lluis on surf_land_bucket_mod lpt= ', lpt,' z0_limit: ',z0_limit(lpt)
-    PRINT *,'Lluis on surf_land_bucket_mod lpt= ', lpt,' alb_limit: ',alb_limit(lpt)
     
     z0_new(1:knon) = z0_limit(knindex(1:knon))
@@ -128,5 +126,4 @@
        
 ! calculate temperature, heat capacity and conduction flux in soil
-    PRINT *,'  Lluis before soil tsurf: ', tsurf(lpt),' cal: ',cal(lpt)
     IF (soil_model) THEN 
        CALL soil(dtime, is_ter, knon, snow, tsurf, tsoil, soilcap, soilflux)
@@ -141,5 +138,4 @@
        ENDIF
     ENDIF
-    PRINT *,'  Lluis after soil tsurf: ', tsurf(lpt),' cal: ',cal(lpt)
     
 ! Suppose zero surface speed
@@ -149,5 +145,4 @@
     v1_lay(:) = v1(:) - v0(:)
 
-    PRINT *,'  Lluis before calcul_fluxs tsurf: ', tsurf(lpt),' qsurf: ',qsurf(lpt)
     CALL calcul_fluxs(knon, is_ter, dtime, &
          tsurf, p1lay, cal, beta, tq_cdrag, pref, &
@@ -156,12 +151,8 @@
          petAcoef, peqAcoef, petBcoef, peqBcoef, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
-    PRINT *,'  Lluis after calcul_fluxs tsurf: ', tsurf(lpt),' qsurf: ',qsurf(lpt)
     
 !
 !* Calculate snow height, run_off, age of snow
 !      
-    PRINT *,'  Lluis in surf_land_bucket_mod ffonte_global: ',ALLOCATED(ffonte_global)
-    PRINT *,'    fqfonte_global: ',ALLOCATED(fqfonte_global)
-    PRINT *,'    fqcalving_global: ',ALLOCATED(fqcalving_global)
 
     CALL fonte_neige( knon, is_ter, knindex, dtime, &