Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90	(revision 36)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90	(revision 37)
@@ -158,5 +158,5 @@
 
 ! L. Fita, LMD July 2014. Checking for consistency
-      IF (fs_bound .NE. fs_bound .OR. ABS(fs_bound) > laragest) THEN
+      IF (fs_bound .NE. fs_bound .OR. ABS(fs_bound) > largest) THEN
         PRINT *,TRIM(errmsg)
         PRINT *,'  ' + TRIM(fname) + ': Wrong fs_bound= ',fs_bound,' !!!'
@@ -166,41 +166,41 @@
         IF (airetot .NE. airetot .OR. ABS(airetot) > largest) THEN
           varname = 'airephy'
-          CALL check_var(fname, varn, airephy, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, airephy, klon, largest, .FALSE.)
         END IF
         PRINT *,'    stops= ',stops
         IF (stops .NE. stops .OR. ABS(stops) > largest) THEN
           varname = 'tops'
-          CALL check_var(fname, varn, tops, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, tops, klon, largest, .FALSE.)
         END IF
         PRINT *,'    stopl= ',stopl
         IF (stopl .NE. stopl .OR. ABS(stopl) > largest) THEN
           varname = 'topl'
-          CALL check_var(fname, varn, topl, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, topl, klon, largest, .FALSE.)
         END IF
         PRINT *,'    ssols= ',ssols
         IF (ssols .NE. ssols .OR. ABS(ssols) > largest) THEN
           varname = 'sols'
-          CALL check_var(fname, varn, sols, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, sols, klon, largest, .FALSE.)
         END IF
         PRINT *,'    ssoll= ',ssoll
         IF (ssoll .NE. ssoll .OR. ABS(ssoll) > largest) THEN
           varname = 'soll'
-          CALL check_var(fname, varn, soll, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, soll, klon, largest, .FALSE.)
         END IF
         PRINT *,'    ssens= ',ssens
         IF (ssens .NE. ssens .OR. ABS(ssens) > largest) THEN
           varname = 'sens'
-          CALL check_var(fname, varn, sens, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, sens, klon, largest, .FALSE.)
         END IF
         PRINT *,'    sfront= ',sfront
         IF (sfront .NE. sfront .OR. ABS(sfront) > largest) THEN
           varname = 'evap'
-          CALL check_var(fname, varn, evap, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, evap, klon, largest, .FALSE.)
           varname = 'rain_fall'
-          CALL check_var(fname, varn, rain_fall, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, rain_fall, klon, largest, .FALSE.)
           varname = 'snow_fall'
-          CALL check_var(fname, varn, snow_fall, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, snow_fall, klon, largest, .FALSE.)
           varname = 'ts'
-          CALL check_var(fname, varn, ts, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, ts, klon, largest, .FALSE.)
         END IF
         STOP
@@ -216,19 +216,19 @@
         IF (airetot .NE. airetot .OR. ABS(airetot) > largest) THEN
           varname = 'airephy'
-          CALL check_var(fname, varn, airephy, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, airephy, klon, largest, .FALSE.)
         END IF
         IF (evap_tot .NE. evap_tot .OR. ABS(evap_tot) > largest) THEN
           varname = 'evap'
-          CALL check_var(fname, varn, evap, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, evap, klon, largest, .FALSE.)
         END IF
         PRINT *,'    rain_fall_tot= ',rain_fall_tot
         IF (rain_fall_tot .NE. rain_fall_tot .OR. ABS(rain_fall_tot) > largest) THEN
           varname = 'rain_fall'
-          CALL check_var(fname, varn, rain_fall, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, rain_fall, klon, largest, .FALSE.)
         END IF
         PRINT *,'    snow_fall_tot= ',snow_fall_tot
         IF (snow_fall_tot .NE. snow_fall_tot .OR. ABS(snow_fall_tot) > largest) THEN
           varname = 'snow_fall'
-          CALL check_var(fname, varn, snow_fall, klon, largest, .FALSE.)
+          CALL check_var(fname, varname, snow_fall, klon, largest, .FALSE.)
         END IF
         STOP
@@ -277,5 +277,5 @@
   wrongi = 0
   DO i=1,sizev
-    IF (var(i) /= var(i) .OR. ABS(var(i)) > bigvalule ) THEN
+    IF (var(i) /= var(i) .OR. ABS(var(i)) > bigvalue ) THEN
       IF (wrongi == 0) found = .TRUE.
       wrongi = wrongi + 1
@@ -288,5 +288,5 @@
     PRINT *,TRIM(errmsg)
     PRINT *,"  at '" // TRIM(funcn) // "' variable '" //TRIM(varn)//                 &
-      "' is wrong at i value___'
+      "' is wrong at i value___"
     DO i=1,wrongi
       PRINT *,wronggridpt(i), wrongvalues(i)