Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90	(revision 45)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/diagphy_mod.F90	(revision 46)
@@ -207,4 +207,13 @@
       END IF
 
+      IF (d_etp_tot .NE. d_etp_tot .OR. ABS(d_etp_tot) > largest) THEN
+        PRINT *,TRIM(errmsg)
+        PRINT *,'  ' // TRIM(fname) // ': Wrong d_etp_tot= ',d_etp_tot,' !!!'
+        PRINT *,'    d_etp_tot: Heat flux equivalent to atmospheric enthalpy' //     &
+          ' change (W/m2)'
+        PRINT *,'    d_etp_tot = input value !'
+        STOP
+      END IF
+
       IF (fq_bound .NE. fq_bound .OR. ABS(fq_bound) > 100000.) THEN
         PRINT *,TRIM(errmsg)
@@ -232,4 +241,13 @@
           CALL check_var(fname, varname, snow_fall, klon, largest, .FALSE.)
         END IF
+        STOP
+      END IF
+
+      IF (d_qt_tot .NE. d_qt_tot .OR. ABS(d_qt_tot) > largest) THEN
+        PRINT *,TRIM(errmsg)
+        PRINT *,'  ' // TRIM(fname) // ': Wrong d_qt_tot= ',d_qt_tot,' !!!'
+        PRINT *,'    d_qt_tot: Mass flux equivalent to atmospheric watter mass' //   &
+          ' change (kg/m2/s)'
+        PRINT *,'    d_qt_tot = input value !'
         STOP
       END IF
Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/pbl_surface_mod.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/pbl_surface_mod.F90	(revision 45)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/pbl_surface_mod.F90	(revision 46)
@@ -1040,5 +1040,5 @@
              flux_v(i,k,nsrf) = y_flux_v(j,k)
 
-
+             IF (y_flux_t())
           ENDDO
        ENDDO
@@ -1247,5 +1247,5 @@
     zxfluxt(:,:) = 0.0 ; zxfluxq(:,:) = 0.0
     zxfluxu(:,:) = 0.0 ; zxfluxv(:,:) = 0.0
-    PRINT *,' Lluis checking in nsrf pbl_surface_mod zxfluxt fluxt_t pctsrf 1 ___________'
+    PRINT *,' Lluis checking in nsrf pbl_surface_mod zxfluxt flux_t pctsrf 1 ___________'
     DO nsrf = 1, nbsrf
        DO k = 1, klev
Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/physiq.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/physiq.F90	(revision 45)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/physiq.F90	(revision 46)
@@ -1962,4 +1962,5 @@
        &      , fs_bound, fq_bound )
       END IF 
+      PRINT *,'  Lluis 1 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 
 !c Diagnostiquer la tendance dynamique
@@ -2122,5 +2123,5 @@
 !C
       END IF 
-
+      PRINT *,'  Lluis 2 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c
 !c=========================================================================
@@ -2265,4 +2266,5 @@
 
       ENDIF
+      PRINT *,'  Lluis 3 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c =================================================================== c
 !c   Calcul de Qsat
@@ -2625,4 +2627,5 @@
       END IF 
 !C
+      PRINT *,'  Lluis 4 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       IF (check) THEN
           za = qcheck(klon,klev,paprs,q_seri,ql_seri,airephy)
@@ -2737,5 +2740,5 @@
        &      , fs_bound, fq_bound )
       END IF 
-
+      PRINT *,'  Lluis 5 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c      print*,'apres callwake iflag_cldcon=', iflag_cldcon
 !c
@@ -2962,5 +2965,5 @@
        &      , fs_bound, fq_bound )
       END IF 
-
+      PRINT *,'  Lluis 6 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 
 !c-------------------------------------------------------------------------
@@ -3029,4 +3032,5 @@
        &      , fs_bound, fq_bound )
       END IF 
+      PRINT *,'  Lluis 7 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       if (mydebug) then
         call writefield_phy('u_seri',u_seri,llm)
@@ -3261,4 +3265,5 @@
        &      , fs_bound, fq_bound )
       END IF 
+      PRINT *,'  Lluis 8 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c
 !c Calculer l'humidite relative pour diagnostique
@@ -3633,4 +3638,5 @@
        &      , fs_bound, fq_bound )
       END IF 
+      PRINT *,'  Lluis 9 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c
 !c
@@ -3807,4 +3813,5 @@
        &      , fs_bound, fq_bound )
       END IF 
+      PRINT *,'  Lluis 10 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
 !c
 !c
@@ -3952,4 +3959,5 @@
 !C
       END IF 
+      PRINT *,'  Lluis 11 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       PRINT *,'Lluis Reaching the SORTIES point'
 