Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90	(revision 70)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90	(revision 71)
@@ -464,129 +464,2 @@
 
       end
-
-SUBROUTINE check_var(funcn, varn, var, sizev, bigvalue, stoprun)
-!  Subroutine to check the consistency of a variable
-!    * NaN value: by definition is variable /= variable
-!    * bigvalue: threshold for the variable
-
-  IMPLICIT NONE
-
-#include "dimensions.h"
-
-  INTEGER, INTENT(IN)                                    :: sizev
-  CHARACTER(LEN=50), INTENT(IN)                          :: funcn, varn
-  REAL, DIMENSION(sizev), INTENT(IN)                     :: var
-  REAL, INTENT(IN)                                       :: bigvalue
-  LOGICAL, INTENT(IN)                                    :: stoprun
-
-! Local
-  INTEGER                                                :: i, wrongi, xpt, ypt
-  CHARACTER(LEN=50)                                      :: errmsg
-  LOGICAL                                                :: found
-  REAL, DIMENSION(sizev)                                 :: wrongvalues
-  INTEGER, DIMENSION(sizev)                              :: wronggridpt
-
-!!!!!!! Variables
-! funcn: at which functino of part of the program variable is checked
-! varn: name of the variable
-! var: variable to check
-! sizev: size of the variable
-! bigvalue: biggest attenaible value for the variable
-! stoprun: Should the run stop if it founds a problem?
-
-  errmsg = 'ERROR -- error -- ERROR -- error'
-
-  found = .FALSE.
-  wrongi = 0
-  DO i=1,sizev
-    IF (var(i) /= var(i) .OR. ABS(var(i)) > bigvalue ) THEN
-      IF (wrongi == 0) found = .TRUE.
-      wrongi = wrongi + 1
-      wrongvalues(wrongi) = var(i)
-      wronggridpt(wrongi) = i
-    END IF
-  END DO
-
-  IF (found) THEN
-    PRINT *,TRIM(errmsg)
-    PRINT *,"  at '" // TRIM(funcn) // "' variable '" //TRIM(varn)//                 &
-      "' is wrong in Nvalues= ",wrongi,' at i (x, y) value___'
-    DO i=1,wrongi
-       ypt = INT(wronggridpt(i)/wiim) + 1
-       xpt = wronggridpt(i) - (ypt-1)*wiim
-      PRINT *,wronggridpt(i), '(',xpt,', ',ypt,')', wrongvalues(i)
-    END DO
-    IF (stoprun) THEN
-      STOP
-    END IF
-  END IF
-
-  RETURN
-
-END SUBROUTINE check_var
-
-SUBROUTINE check_var3D(funcn, varn, var, sizev, zsize, bigvalue, stoprun)
-!  Subroutine to check the consistency of a 3D LMDSZ - variable (klon, klev) !
-!    * NaN value: by definition is variable /= variable
-!    * bigvalue: threshold for the variable
-
-  IMPLICIT NONE
-
-#include "dimensions.h"
-
-  INTEGER, INTENT(IN)                                    :: sizev, zsize
-  CHARACTER(LEN=50), INTENT(IN)                          :: funcn, varn
-  REAL, DIMENSION(sizev,zsize), INTENT(IN)               :: var
-  REAL, INTENT(IN)                                       :: bigvalue
-  LOGICAL, INTENT(IN)                                    :: stoprun
-
-! Local
-  INTEGER                                                :: i, k, wrongi, xpt, ypt
-  CHARACTER(LEN=50)                                      :: errmsg
-  LOGICAL                                                :: found
-  REAL, DIMENSION(sizev*zsize)                           :: wrongvalues
-  INTEGER, DIMENSION(sizev*zsize,2)                      :: wronggridpt
-
-!!!!!!! Variables
-! funcn: at which functino of part of the program variable is checked
-! varn: name of the variable
-! var: variable to check
-! sizev: size of the variable
-! zsize: vertical size of the variable
-! bigvalue: biggest attenaible value for the variable
-! stoprun: Should the run stop if it founds a problem?
-
-  errmsg = 'ERROR -- error -- ERROR -- error'
-
-  found = .FALSE.
-  wrongi = 0
-  DO i=1,sizev
-    DO k=1,zsize
-      IF (var(i,k) /= var(i,k) .OR. ABS(var(i,k)) > bigvalue ) THEN
-        IF (wrongi == 0) found = .TRUE.
-        wrongi = wrongi + 1
-        wrongvalues(wrongi) = var(i,k)
-        wronggridpt(wrongi,1) = i
-        wronggridpt(wrongi,2) = k
-      END IF
-    END DO
-  END DO
-
-  IF (found) THEN
-    PRINT *,TRIM(errmsg)
-    PRINT *,"  at '" // TRIM(funcn) // "' variable '" //TRIM(varn)//                 &
-      "' is wrong in Nvalues= ",wrongi,' at i (x,y) k value___'
-    DO i=1,wrongi
-       ypt = INT(wronggridpt(i,1)/wiim) + 1
-       xpt = wronggridpt(i,1) - (ypt-1)*wiim
-      PRINT *,wronggridpt(i,1), '(',xpt,', ',ypt,')', wronggridpt(i,2), wrongvalues(i)
-    END DO
-    IF (stoprun) THEN
-      STOP
-    END IF
-  END IF
-
-  RETURN
-
-END SUBROUTINE check_var3D
-