Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90	(revision 108)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90	(revision 109)
@@ -126,4 +126,12 @@
       endif
 
+      lfname='thermcell_flux2 computing entr/detr_star'
+      lvarname = 'entr_star'
+      CALL check_var3D(lfname, lvarname, entr_star, ngrid, klev, largest, .FALSE.)
+      lvarname = 'detr_star'
+      CALL check_var3D(lfname, lvarname, detr_star, ngrid, klev, largest, .FALSE.)
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, klev, largest, .FALSE.)
+
 !-------------------------------------------------------------------------
 ! Multiplication par le flux de masse issu de la femreture
@@ -160,4 +168,11 @@
       enddo
 
+      lfname='thermcell_flux2 first compute of fm'
+      lvarname = 'entr'
+      CALL check_var3D(lfname, lvarname, entr, ngrid, klev, largest, .FALSE.)
+      lvarname = 'detr'
+      CALL check_var3D(lfname, lvarname, detr, ngrid, klev, largest, .FALSE.)
+      lvarname = 'fm'
+      CALL check_var3D(lfname, lvarname, fm, ngrid, klev, largest, .FALSE.)
 
 
Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_main.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_main.F90	(revision 108)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_main.F90	(revision 109)
@@ -427,6 +427,8 @@
       lvarname = 'pplay'
       CALL check_var3D(lfname, lvarname, pplay, ngrid, nlay, largest, .FALSE.)
-      lvarname = 'ztv'
-      CALL check_var3D(lfname, lvarname, ztv, ngrid, nlay, largest, .FALSE.)
+      lvarname = 'zw2'
+      CALL check_var3D(lfname, lvarname, zw2, ngrid, nlay+1, largest, .FALSE.)
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
       if (prt_level.ge.1) print*,'thermcell_main apres initialisation'
@@ -508,4 +510,7 @@
 ! Gestion temporaire de plusieurs appels à thermcell_plume au travers
 ! de la variable iflag_thermals
+      lfname='thermcell_main before plume'
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
 !      print*,'THERM thermcell_main iflag_thermals_ed=',iflag_thermals_ed
@@ -527,5 +532,5 @@
 
       endif
-      lfname='after thermcell_plume'
+      lfname='thermcell_main after thermcell_plume'
       lvarname = 'pt'
       CALL check_var3D(lfname, lvarname, pt, ngrid, nlay, largest, .FALSE.)
@@ -534,4 +539,6 @@
       lvarname = 'zw2'
       CALL check_var3D(lfname, lvarname, zw2, ngrid, nlay+1, largest, .FALSE.)
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
       if (prt_level.ge.1) print*,'apres thermcell_plume ',lev_out
@@ -597,4 +604,7 @@
       endif
 
+      lfname='thermcell_main after thermcell_dry'
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
 
@@ -645,4 +655,6 @@
       lvarname = 'zw2'
       CALL check_var3D(lfname, lvarname, zw2, ngrid, nlay+1, largest, .FALSE.)
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
       CALL thermcell_flux2(ngrid,nlay,ptimestep,masse, &
@@ -656,4 +668,6 @@
       lvarname = 'zw2'
       CALL check_var3D(lfname, lvarname, zw2, ngrid, nlay+1, largest, .FALSE.)
+      lvarname = 'alim_star'
+      CALL check_var3D(lfname, lvarname, alim_star, ngrid, nlay, largest, .FALSE.)
 
       if (prt_level.ge.1) print*,'thermcell_main apres thermcell_flux'
@@ -693,4 +707,6 @@
       lvarname = 'zdthladj'
       CALL check_var3D(lfname, lvarname, zdthladj, ngrid, nlay, largest, .FALSE.)
+      lvarname = 'masse'
+      CALL check_var3D(lfname, lvarname, masse, ngrid, nlay, largest, .FALSE.)
 
       lfname='thermcell_main before fraction ascendance'