Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90	(revision 134)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/thermcell_flux2.F90	(revision 135)
@@ -55,14 +55,4 @@
       character (len=80) :: abort_message
 
-! Lluis
-      INTEGER                                            :: llp
-      CHARACTER(LEN=50)                                  :: lvarname, lfname
-      REAL                                               :: largest
-      CHARACTER(LEN=4)                                   :: lS
-
-      llp = 734
-      lfname = 'physiq'
-      largest = 10.e5
-
       fomass_max=0.5
       alphamax=0.7
@@ -126,12 +116,4 @@
       endif
 
-      lfname='thermcell_flux2 computing entr/detr_star'
-      lvarname = 'entr_star'
-      CALL check_var3D(lfname, lvarname, entr_star, ngrid, klev, largest, .FALSE.)
-      lvarname = 'detr_star'
-      CALL check_var3D(lfname, lvarname, detr_star, ngrid, klev, largest, .FALSE.)
-      lvarname = 'alim_star'
-      CALL check_var3D(lfname, lvarname, alim_star, ngrid, klev, largest, .FALSE.)
-
 !-------------------------------------------------------------------------
 ! Multiplication par le flux de masse issu de la femreture
@@ -168,13 +150,4 @@
       enddo
 
-      lfname='thermcell_flux2 first compute of fm'
-      lvarname = 'entr'
-      CALL check_var3D(lfname, lvarname, entr, ngrid, klev, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var3D(lfname, lvarname, detr, ngrid, klev, largest, .FALSE.)
-      lvarname = 'fm'
-      CALL check_var3D(lfname, lvarname, fm, ngrid, klev, largest, .FALSE.)
-
-
 ! Test provisoire : pour comprendre pourquoi on corrige plein de fois 
 ! le cas fm6, on commence par regarder une premiere fois avant les
@@ -204,11 +177,4 @@
 ! les flux avant et apres modif
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      lfname='thermcell_flux2 before first loop'
-      lvarname = 'fm'
-      CALL check_var3D(lfname, lvarname, fm, ngrid, klev+1, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var3D(lfname, lvarname, entr, ngrid, klev, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var3D(lfname, lvarname, detr, ngrid, klev, largest, .FALSE.)
 
       do l=1,klev
@@ -225,12 +191,4 @@
          enddo
 
-      lfname='thermcell_flux2 after first loop ' // lS
-      lvarname = 'fm'
-      CALL check_var(lfname, lvarname, fm(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var(lfname, lvarname, entr(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var(lfname, lvarname, detr(:,l), ngrid, largest, .FALSE.)
-
 !-------------------------------------------------------------------------
 ! Verification de la positivite des flux de masse
@@ -263,7 +221,4 @@
              zzz=fm(ig,l)*rhobarz(ig,l+1)*zw2(ig,l+1)  &
      &                          /(rhobarz(ig,l)*zw2(ig,l))
-             IF (zzz /= zzz .OR. zw2(ig,l) == 0. ) THEN
-               PRINT *,'  Lluis ', ig,',',l,' wrong zzz: ',zzz,' zw2: ',zw2(ig,l),' fm: ',fm(ig,l)
-             END IF
              if (fm(ig,l+1).gt.zzz) then
                 detr(ig,l)=detr(ig,l)+fm(ig,l+1)-zzz
@@ -276,16 +231,4 @@
       endif
 
-      lfname='thermcell_flux2 after fraca croissant ' //lS
-      lvarname = 'fm'
-      CALL check_var(lfname, lvarname, fm(:,l), ngrid, largest, .FALSE.)
-!      lvarname = '1/zw2'
-!      CALL check_var(lfname, lvarname, 1./zw2(:,l), ngrid, largest, .FALSE.)
-!      lvarname = '1/rhobarz'
-!      CALL check_var(lfname, lvarname, 1./rhobarz(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var(lfname, lvarname, entr(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var(lfname, lvarname, detr(:,l), ngrid, largest, .FALSE.)
-
       if (prt_level.ge.10) &
      &   write(lunout1,'(i4,4e14.4)') l,masse(igout,l)/ptimestep, &
@@ -308,12 +251,4 @@
 !     enddo
       endif
-
-      lfname='thermcell_flux2 after massa croissant ' // lS
-      lvarname = 'fm'
-      CALL check_var(lfname, lvarname, fm(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var(lfname, lvarname, entr(:,l), ngrid, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var(lfname, lvarname, detr(:,l), ngrid, largest, .FALSE.)
 
       if (prt_level.ge.10) &
@@ -477,15 +412,4 @@
 ! Fin de la grande boucle sur les niveaux verticaux
       enddo
-      lfname='thermcell_flux2 after big loop'
-      lvarname = 'fm'
-      CALL check_var3D(lfname, lvarname, fm, ngrid, klev+1, largest, .FALSE.)
-      lvarname = 'rhobarz'
-      CALL check_var3D(lfname, lvarname, rhobarz, ngrid, klev, largest, .FALSE.)
-      lvarname = 'zw2'
-      CALL check_var3D(lfname, lvarname, zw2, ngrid, klev+1, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var3D(lfname, lvarname, entr, ngrid, klev, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var3D(lfname, lvarname, detr, ngrid, klev, largest, .FALSE.)
 
 !      if (prt_level.ge.10) &
@@ -535,12 +459,4 @@
       enddo
 
-      lfname='thermcell_flux2 after quantile'
-      lvarname = 'fm'
-      CALL check_var3D(lfname, lvarname, fm, ngrid, klev+1, largest, .FALSE.)
-      lvarname = 'entr'
-      CALL check_var3D(lfname, lvarname, entr, ngrid, klev, largest, .FALSE.)
-      lvarname = 'detr'
-      CALL check_var3D(lfname, lvarname, detr, ngrid, klev, largest, .FALSE.)
-
       if (labort_gcm) then
                          ig=igout