Index: branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90	(revision 136)
+++ branches/LMDZ_WRFmeas/WRFV3/lmdz/calltherm.F90	(revision 137)
@@ -121,13 +121,4 @@
 !$OMP THREADPRIVATE(first)
 !********************************************************
-
-! Lluis
-      INTEGER                                            :: llp
-      CHARACTER(LEN=50)                                  :: lvarname, lfname
-      REAL                                               :: largest
-
-      llp = 734
-      lfname = 'physiq'
-      largest = 10.e5
       if (first) then
         itap=0
@@ -143,8 +134,4 @@
       Ale = 0.
 
-      PRINT *,'  Lluis SUm(Alp): ', SUM(Alp),' SUM Ale: ',SUM(Ale)
-      IF (SUM(Alp) /= 0.) STOP
-      IF (SUM(Ale) /= 0.) STOP
-
 ! Incrementer le compteur de la physique
      itap   = itap + 1
@@ -153,8 +140,4 @@
 !  ===================
 !         print*,'thermiques: WARNING on passe t au lieu de t_seri'
-
-      lfname='beginning calltherm'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
 
 ! On prend comme valeur initiale des thermiques la valeur du pas
@@ -194,13 +177,4 @@
          enddo
          if(nbptspb.GT.0) print*,'Number of points with q_seri(i,k)<=0 ',nbptspb   
-      lfname='calltherm before thermcell_main'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
-      lvarname = 'd_t_the'
-      CALL check_var3D(lfname, lvarname, d_t_the, klon, klev, largest, .FALSE.)
-      lvarname = 'Alp'
-      CALL check_var(lfname, lvarname, Alp, klon, largest*10.e5, .FALSE.)
-      lvarname = 'Ale'
-      CALL check_var(lfname, lvarname, Ale, klon, largest*10.e5, .FALSE.)
 
          zdt=dtime/REAL(nsplit_thermals)
@@ -304,14 +278,4 @@
 ! Ce serait bien de changer, mai en prenant le temps de vÃ©rifier que ca
 ! fait bien ce qu'on croit.
-      lfname='calltherm after thermcell_main'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
-      lvarname = 'd_t_the'
-      CALL check_var3D(lfname, lvarname, d_t_the, klon, klev, largest, .FALSE.)
-      lvarname = 'Alp'
-      CALL check_var(lfname, lvarname, Alp, klon, largest*10.e5, .FALSE.)
-      lvarname = 'Ale'
-      CALL check_var(lfname, lvarname, Ale, klon, largest*10.e5, .FALSE.)
-
        flag_bidouille_stratocu=iflag_thermals<=12.or.iflag_thermals==14.or.iflag_thermals==16.or.iflag_thermals==18
 
@@ -344,11 +308,4 @@
        fm_therm(:,klev+1)=0.
 
-      lfname='calltherm after transforming from derivate to tendency'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
-      lvarname = 'd_t_the'
-      CALL check_var3D(lfname, lvarname, d_t_the, klon, klev, largest, .FALSE.)
-
-
 !  accumulation de la tendance
             d_t_ajs(:,:)=d_t_ajs(:,:)+d_t_the(:,:)
@@ -364,17 +321,4 @@
             q_seri(:,:) = q_seri(:,:) + d_q_the(:,:)
            if (prt_level.gt.10) write(lunout,*)'Apres apres thermcell_main OK'
-      lfname='calltherm after add tendencies'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
-      lvarname = 'd_t_the'
-      CALL check_var3D(lfname, lvarname, d_t_the, klon, klev, largest, .FALSE.)
-      lvarname = 'Alp_bl'
-      CALL check_var(lfname, lvarname, Alp_bl, klon, largest, .FALSE.)
-      lvarname = 'Alp'
-      CALL check_var(lfname, lvarname, Alp, klon, largest*10.e5, .FALSE.)
-      lvarname = 'Ale_bl'
-      CALL check_var(lfname, lvarname, Ale_bl, klon, largest, .FALSE.)
-      lvarname = 'Ale'
-      CALL check_var(lfname, lvarname, Ale, klon, largest*10.e5, .FALSE.)
 
        DO i=1,klon
@@ -386,17 +330,4 @@
         if(prt_level.GE.10) print*,'calltherm i Alp_bl Alp Ale_bl Ale',i,Alp_bl(i),Alp(i),Ale_bl(i),Ale(i)
        ENDDO
-      lfname='calltherm after computing Al[p/e]_bl'
-      lvarname = 't_seri'
-      CALL check_var3D(lfname, lvarname, t_seri, klon, klev, largest, .FALSE.)
-      lvarname = 'd_t_the'
-      CALL check_var3D(lfname, lvarname, d_t_the, klon, klev, largest, .FALSE.)
-      lvarname = 'Alp_bl'
-      CALL check_var(lfname, lvarname, Alp_bl, klon, largest, .FALSE.)
-      lvarname = 'Alp'
-      CALL check_var(lfname, lvarname, Alp, klon, largest*10.e5, .FALSE.)
-      lvarname = 'Ale_bl'
-      CALL check_var(lfname, lvarname, Ale_bl, klon, largest, .FALSE.)
-      lvarname = 'Ale'
-      CALL check_var(lfname, lvarname, Ale, klon, largest*10.e5, .FALSE.)
 
 !IM 060508 marche pas comme cela !!!        enddo ! isplit